Name: libsemanage
Version: 2.0.31
Release: alt1
License: LGPL
Url: http://www.nsa.gov/selinux
Packager: Anton Farygin <rider@altlinux.ru>

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Summary: This package contains the libsemanage library, which provides an interface for SELinux management.
Group: System/Libraries

# Automatically added by buildreq on Tue May 12 2009
BuildRequires: bzlib-devel flex libselinux-devel >= 2.0.80-alt1 libsepol-devel >= 2.0.36-alt1 libustr-devel python-devel

%description
shared libraries used by SELinux policy manipulation tools
This package provides the shared libraries for the manipulation of 
SELinux binary policies. It is used by checkpolicy (the policy compiler)
and similar tools, as well as by programs like load_policy that need
to perform specific transformations on binary policies such as
customizing policy boolean settings. This contains the run-time
libraries needed by such tools.
Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.
%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version
%description devel
Header files and libraries for SELinux policy manipulation tools
This package provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as
well as by programs like load_policy that need to perform specific
transformations on binary policies such as customizing policy boolean
settings. It contains the static libraries and header files needed
for developing applications that manipulate SELinux binary policies.

Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%package -n python-module-semanage
Summary: Python module for %name
Group: System/Configuration/Other
%description -n python-module-semanage
Python bindings  for SELinux policy manipulation tools
This package provides python bindings for the manipulation of SELinux
binary policies.  

Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%prep
%setup

%build
%make_build pywrap

%install
%make DESTDIR=%buildroot LIBDIR=%buildroot/%_libdir SHLIBDIR=%buildroot/%_lib install install-pywrap

%files
%dir %_sysconfdir/selinux
%config(noreplace) %_sysconfdir/selinux/semanage.conf
/%_lib/*.so.*
%_man3dir/*

%files devel
%_libdir/*.so
%exclude %_libdir/*.a
%_includedir/semanage

%files -n python-module-semanage
%python_sitelibdir/*

%changelog
* Tue Jan 13 2009 Anton Farygin <rider@altlinux.ru> 2.0.31-alt1
- new version

* Mon Dec 22 2008 Anton Farygin <rider@altlinux.ru> 2.0.30-alt1
- new version
- fixed python-module name

* Sat Dec 20 2008 Anton Farygin <rider@altlinux.ru> 2.0.25-alt1
- new (development) version
- specfile cleanup

* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.10.9-alt1
- Initial build
